/* globals.c */
/* globals */

#include "kb_wmouse.h"

char kATKeyboardDeviceName[] = "input/keyboard/at/0";
char kPS2MouseDeviceName[] = "input/mouse/ps2/0";
char kSerialMouseDeviceName[] = "input/mouse/serial/0";
char isa_name[] = "bus_managers/isa/v1";
cbuffer *kb_buffer = 0L;
cbuffer *ms_buffer = 0L;
int32 waiting = 0L;
sem_id kb_wait_sem = -1;
int32 mouse_buttons = 0L;
int32 mouse_xdelta = 0L;
int32 mouse_ydelta = 0L;
int32 click_count = 0L;
int64 last_click = 0LL;
int32 mouse_mods = 0L;
int32 mouse_sync = 0L;
int64 mouse_time = 0LL;
int16 mouse_plugged = 0;
int32 ms_type = 3;
int32 mouse_mapping[3] = {1, 2, 4};
int32 accel[3] = {1, 7, 1};
int64 click_speed = 500000LL;
//sem_id kb_sem = -1;
//sem_id ms_sem = -1;
sem_id kbsem = -1;
sem_id mssem = -1;
char kbsem_name[] = "kbsem";
char mssem_name[] = "mssem";
char kb_wait_sem_name[] = "kb_wait_sem";
int8 ps2_mouse_found = 0;
int32 typematic_rate = 0xFA;
int64 repeat_delay = 0xFA;
int32 ser_fd_count = 0L;
int32 *ser_fd_list = 0L;
int32 found_keyboard = 0L;
int64 control_alt_del_timeout = 5000000LL;
int8 reset_pending = 0;
int8 sample_rate;
int32 ps2_mouse_id;
int32 valid_rates[] = {0x12C, 0x10B, 0xF0, 0xDA, 0xC8, 0xB9, 0xAB, 0xA0,
                              0x96, 0x85, 0x78, 0x6D, 0x64, 0x5C, 0x56, 0x50, 0x4B,
                              0x43, 0x3C, 0x37, 0x32, 0x2E, 0x2B, 0x28, 0x25, 0x21,
                              0x1E, 0x1B, 0x19, 0x17, 0x15, 0x14};
int32 valid_delays[] = {250000, 500000, 750000, 1000000};
int8 extended_key_75 = 0;

/* device_hooks kbm_device; */
int32 api_version = B_CUR_DRIVER_API_VERSION;
