/* accel_and_stash() */
/* This is an implementation of the Be-supplied acceleration routine. */
void accel_and_stash(int32 second, int32 third, int32 first) {
  int64 current_time;
  int32 accelerated_second, accelerated_third;
  
//dprintf("kb_wmouse: accel_and_stash(%ld, %ld, %ld)\n", second, third, first);
dprintf("as(%ld, %ld, %ld)\n", second, third, first);
  if((accel[0] != 0) && (accel[1] != 0)) {
    accelerated_second = abs(second) >> 2;
    accelerated_second = (accelerated_second << accel[1]) + 0x100;
    accelerated_second *= second;
    accelerated_second >>= 8;
    if(abs(accelerated_second) > abs(second)) second = accelerated_second;
  
    accelerated_third = abs(third) >> 2;
    accelerated_third = (accelerated_third << accel[1]) + 0x100;
    accelerated_third *= third;
    accelerated_third >>= 8;
    if(abs(accelerated_third) > abs(third)) third = accelerated_third;
  }

  if(accel[2] > 1) {
    second *= accel[2];
    third *= accel[2];
  }
  
  current_time = system_time();
  if(first != 0) {
    if(mouse_buttons == 0) {
      if((last_click + click_speed) > current_time) {
        ++click_count;
      } else {
        click_count = 1;
      }
    }
    last_click = current_time;
  }
  mouse_buttons = first;
  mouse_xdelta = second;
  mouse_ydelta = third;
  mouse_mods = 0;
  mouse_time = current_time;
  return;
}  /* accel_and_stash() */
